| Qore Programming Language Reference Manual 1.12.2

Public Member Functions | List of all members
Qore::SocketPollOperationBase Class Reference

Abstract poll operation object returned by Socket polling methods. More...

Inheritance diagram for Qore::SocketPollOperationBase:
[legend]

## Public Member Functions
| constructor ()
| Throws an exception; this class is not usable by Qore classes. More...
| destructor ()
| Destroys the object.
string | getGoal ()
| Returns the goal. More...
auto | getOutput ()
| Returns any output generated by any completed poll action. More...
string | getState ()
| Returns the current state. More...
bool | goalReached ()
| Returns True when the goal as been reached. More...
Public Member Functions inherited from Qore::AbstractPollOperation
abstract *hash< SocketPollInfo > | continuePoll ()
| Returns a socket poll hash if polling should continue or NOTHING if complete. More...
auto | getOutput ()
| Returns any output generated by any completed poll action. More...

## Detailed Description

Abstract poll operation object returned by Socket polling methods.

This class implements the polling logic and the state machine behind it

It has two private members:

- object sock: the socket object
- string goal: the polling goal

This class is only usable by internal classes; it is not directly usable by Qore classes.

Since
  Qore 1.12

## Member Function Documentation

## ◆ constructor()

Qore::SocketPollOperationBase::constructor | ( |  | ) |

Throws an exception; this class is not usable by Qore classes.

Exceptions

  INTERNAL-ONLY | this class is not usable by Qore classes

## ◆ getGoal()

string Qore::SocketPollOperationBase::getGoal | ( |  | ) |
| virtual

Returns the goal.

Returns
  the goal set in the constructor

Implements Qore::AbstractPollOperation.

## ◆ getOutput()

auto Qore::SocketPollOperationBase::getOutput | ( |  | ) |

Returns any output generated by any completed poll action.

Code Flags:
  RET_VALUE_ONLY

Returns
  any output generated by any completed poll action

## ◆ getState()

string Qore::SocketPollOperationBase::getState | ( |  | ) |
| virtual

Returns the current state.

Code Flags:
  RET_VALUE_ONLY

Returns
  the current state

Implements Qore::AbstractPollOperation.

## ◆ goalReached()

bool Qore::SocketPollOperationBase::goalReached | ( |  | ) |
| virtual

Returns True when the goal as been reached.

Code Flags:
  RET_VALUE_ONLY

Returns
  True when the goal as been reached

Implements Qore::AbstractPollOperation.